Name:           libdvdnav
Version:        6.0.0
Release:        4%{?dist}
Summary:        A library contains functions to display DVD video menus.
License:        GPLv2+
URL:            http://dvdnav.mplayerhq.hu/
Source0:        https://download.videolan.org/pub/videolan/libdvdnav/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  doxygen gcc gnupg2 libdvdread-devel >= 5.0.2

%description
Libdvdnav is a library that allows easy use of sophisticated DVD navigation
features such as DVD menus, multiangle playback and even interactive DVD games.

%package        devel
Summary:        Libraries and include files for libdvdnav
Requires:       %{name} = %{version}-%{release} libdvdread-devel >= 5.0.2 pkgconfig

%description    devel
Libdvdnav-devel provides development files used to build packages for libdvdnav.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static

%make_build V=1
pushd doc
doxygen doxy.conf
popd

%install
%make_install
rm -rf  %{buildroot}/%{_libdir}/libdvdnav.la
#%delete_la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS ChangeLog TODO doc/html/* README
%{_libdir}/libdvdnav.so.*

%files devel
%{_includedir}/dvdnav
%{_libdir}/libdvdnav.so
%{_libdir}/pkgconfig/dvdnav.pc
%exclude %{_pkgdocdir}/{COPYING,TODO}

%changelog
* Thu Feb 20 2020 cangyi <cangyi@huawei.com> 6.0.0-4
- Package init
